For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Retrieve ALL national and local geographic locations data regardless of whether a user is eligible to see them. This endpoint is a legacy endpoint and will no longer be maintained soon. Instead, use [Get Eligible Locations](/legacy/api/rewards/locations/get-locations-by-user) to build your [map-specific UX experiences](https://github.com/kard-financial/kard-postman#c-discover-clos-near-you-map-view).<br/>
<b>Required scopes:</b> `rewards:read`
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
pageintegerOptional
Page number [>= 0], (default = 0)
limitintegerOptional
Maximum number of locations [1 - 200], (default = 200)
googleIdstringOptional
GoogleId from location
citystringOptional
City of location; REQUIRES state query parameter
zipCodestringOptional
Zip Code of location; CANNOT provide State, City, Longitude, Latitude, or Radius query params when using zipCode
stateenumOptional
State of location; REQUIRES city field
locationNameSortenumOptional
Sort location names (1 for A-Z, -1 for Z-A)
Allowed values:
citySortenumOptional
Sort city names (1 for A-Z, -1 for Z-A)
Allowed values:
stateSortenumOptional
Sort state names (1 for A-Z, -1 for Z-A)
Allowed values:
longitudeintegerOptional
Longitude to search locations from [-180 - 180], REQUIRES latitude field
latitudeintegerOptional
Latitude to search locations from [-90 - 90], REQUIRES longitude field
radiusintegerOptional
Radius to search for locations in miles [1 - 50], (default = 10). REQUIRES longitude & latitude fields
sourceenumOptional
Source of the merchant associated to the location
Allowed values:
categoryenumOptional
Category of merchant associated with location. Please use URL Encode for non single word categories. (Food & Beverage should be Food%20%26%20Beverage)
locationNamestringOptional
Name of location
createdDateStartdatetimeOptional
Time in string format for location createdDate search start (UTC)
createdDateEnddatetimeOptional
Time in string format for location createdDate search start (UTC)
Response
This endpoint returns a list of objects.
_idstring
Location ID in Kard's system
addressobject
Address of location
categoryenum
Category of merchant associated with location
createdDatedatetime
Created date of location in Kard’s system (UTC)
geoLocationobject
Geo-coordinates of location
lastModifieddatetime
Last modified date of location in Kard’s system (UTC)
locationTypeenum
Type of offer associated to location, will always be in INSTORE
merchantobject
Merchant object associated with location
merchantIdstring
Merchant ID in Kard's system associated to location
namestring
Name of the location
offerslist of objects
Offers associated to the location
phonestring
Phone number for location
sourceenum
Source of the merchant associated to the location
googleIdstringOptional
GoogleId of location
operationHoursobjectOptional
Hours of operation for location
Errors
400
Invalid Request
401
Unauthorized Error
500
Internal Server Error
Retrieve ALL national and local geographic locations data regardless of whether a user is eligible to see them. This endpoint is a legacy endpoint and will no longer be maintained soon. Instead, use Get Eligible Locations to build your map-specific UX experiences. Required scopes:rewards:read